<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:ser="http://www.esb.selex.com/service/" name="selex-esb-ws" targetNamespace="http://www.esb.selex.com/service/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <xsd:schema targetNamespace="http://www.esb.selex.com/service/">
      <xsd:element name="faultMessage" type="ser:faultMessage" />
      <xsd:element name="checkLoyaltyCardInputBody" type="ser:checkLoyaltyCardInputBody" />
      <xsd:element name="checkLoyaltyCardOutputBody" type="ser:checkLoyaltyCardOutputBody" />
      <xsd:element name="orderToPickingInputBody" type="ser:orderToPickingInputBody" />
      <xsd:element name="orderToPickingOutputBody" type="ser:orderToPickingOutputBody" />
      <xsd:element name="modifyOrderInputBody" type="ser:modifyOrderInputBody" />
      <xsd:element name="modifyOrderOutputBody" type="ser:modifyOrderOutputBody" />
      <xsd:element name="getOrdersInputBody" type="ser:getOrdersInputBody" />
      <xsd:element name="getOrdersOutputBody" type="ser:getOrdersOutputBody" />
      <xsd:element name="cancelOrderInputBody" type="ser:cancelOrderInputBody" />
      <xsd:element name="cancelOrderOutputBody" type="ser:cancelOrderOutputBody" />
      <xsd:element name="paymentConfirmInputBody" type="ser:paymentConfirmInputBody" />
      <xsd:element name="paymentConfirmOutputBody" type="ser:paymentConfirmOutputBody" />
      <xsd:element name="uploadInvoiceInputBody" type="ser:uploadInvoiceInputBody" />
      <xsd:element name="uploadInvoiceOutputBody" type="ser:uploadInvoiceOutputBody" />
      <xsd:element name="orderToDeliveryInputBody" type="ser:orderToDeliveryInputBody" />
      <xsd:element name="orderToDeliveryOutputBody" type="ser:orderToDeliveryOutputBody" />
      <xsd:element name="readyToDeliveryInputBody" type="ser:readyToDeliveryInputBody" />
      <xsd:element name="readyToDeliveryOutputBody" type="ser:readyToDeliveryOutputBody" />
      <xsd:element name="shipmentStatusInputBody" type="ser:shipmentStatusInputBody" />
      <xsd:element name="shipmentStatusOutputBody" type="ser:shipmentStatusOutputBody" />
      <xsd:simpleType name="unMisuraType">
        <xsd:restriction base="xsd:string">
          <xsd:enumeration value="PCE" />
          <xsd:enumeration value="KG" />
          <xsd:enumeration value="LT" />
          <xsd:enumeration value="HG" />
          <xsd:enumeration value="GR" />
          <xsd:enumeration value="VAR" />
          <xsd:enumeration value="ML" />
          <xsd:enumeration value="CL" />
          <xsd:enumeration value="MT" />
          <xsd:enumeration value="MG" />
          <xsd:enumeration value="PNT" />
        </xsd:restriction>
      </xsd:simpleType>
      <xsd:complexType name="propertiesType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="sistRichiedente" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="socio" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="insegna" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="dataRichiesta" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="token" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="statusType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="data" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="codiceStato" type="xsd:int" />
          <xsd:element minOccurs="0" maxOccurs="1" name="messaggio" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="faultMessage">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="codiceErrore" />
          <xsd:element minOccurs="0" maxOccurs="1" name="tipologiaErrore" />
          <xsd:element minOccurs="0" maxOccurs="1" name="messaggioErrore" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="contatoreType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="id" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="descrizione" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="valore" type="xsd:float" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="contatoriType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="contatore" type="ser:contatoreType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="articoloBaseType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="idRigaOrdine" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="SKU" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="EAN" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="configurazione1" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="configurazione2" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="configurazione3" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="configurazione4" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="configurazione5" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="configurazione6" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="configurazione7" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="quantita" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="unitaMisuraVendita" type="ser:unMisuraType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="note" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="articoloEstesoType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="descrizioneArticolo" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="importoLordoUnitario" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="importoLordoTotale" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="importoSconto" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="flagSostituibile" type="xsd:boolean" />
          <xsd:element minOccurs="0" maxOccurs="1" name="flagGestioneProvenienze" type="xsd:boolean" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="articoloSostituzioniType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="idRigaOrdineOriginale" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="skuArticoloOriginale" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="eanArticoloOriginale" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="quantitaOriginaleRichiesta" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="flagSostituito" type="xsd:boolean" />
          <xsd:element minOccurs="0" maxOccurs="1" name="flagSostituzioneRifiutataDalCliente" type="xsd:boolean" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="preferenzeSostituzioniType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="preferenzaSostituzione" type="ser:preferenzaSostituzioneType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="preferenzaSostituzioneType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="descrizionePreferenza" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="ordinanteType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="idUtente" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="email" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="slotPrenotazioneType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="idSlot" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="dataInizio" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="dataFine" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="slotPrenotazioneOrdineType">
        <xsd:complexContent mixed="false">
          <xsd:extension base="ser:slotPrenotazioneType">
            <xsd:sequence>
              <xsd:element minOccurs="0" maxOccurs="1" name="dataConsegna" type="xsd:string" />
            </xsd:sequence>
          </xsd:extension>
        </xsd:complexContent>
      </xsd:complexType>
      <xsd:complexType name="ordinePagamentiConsegneType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="tipoFatturazione" type="xsd:int" />
          <xsd:element minOccurs="0" maxOccurs="1" name="flagPrepagato" type="xsd:boolean" />
          <xsd:element minOccurs="0" maxOccurs="1" name="titolarePagamento" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="costiPagamento" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="flagConsegnaDomicilio" type="xsd:boolean" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="promozioneOrdineType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="idRigaOrdine" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="idPromo" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="idPromoSocio" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="idMeccanicaPromo" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="dataInizio" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="dataFine" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="descrizione" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="scontoApplicato" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="puntiExtra" type="xsd:int" />
          <xsd:element minOccurs="0" maxOccurs="1" name="codiceVoucher" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="promozioniOrdineType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="promozione" type="ser:promozioneOrdineType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="pagamentoOrdineType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="idPagamento" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="dataPagamento" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="tipologiaTransazione" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="codiceValuta" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="totaleInValuta" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="costoPagamento" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="statoTransazione" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="codiceTransazione" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="pagamentiOrdineType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="pagamento" type="ser:pagamentoOrdineType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="statoOrdineType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="data" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="stato" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="descrizioneStato" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="storiaOrdineType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="statoOrdine" type="ser:statoOrdineType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="articoloOrdineType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="articoloBase" type="ser:articoloBaseType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="articoloEsteso" type="ser:articoloEstesoType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="articoloSostituzioni" type="ser:articoloSostituzioniType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="descrizioneArticoloOriginale" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="dettaglioOrdineType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="articolo" type="ser:articoloOrdineType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="indirizzoOrdineType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="tipoIndirizzo" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="idIndirizzo" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="nome" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="cognome" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="ragioneSociale" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="codiceFiscale" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="partitaIva" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="email" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="telefono" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="cellulare" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="indirizzo1" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="indirizzo2" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="CAP" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="provincia" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="comune" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="nazione" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="piano" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="scala" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="interno" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="telefonoPerConsegna" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="flagPresenteAscensore" type="xsd:boolean" />
          <xsd:element minOccurs="0" maxOccurs="1" name="numeroCivico" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="voucherOrdineType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="codice" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="descrizione" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="dataInizioVoucher" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="dataFineVoucher" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="valore" type="xsd:float" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="voucherDaRilasciareType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="voucher" type="ser:voucherOrdineType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="indirizziType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="indirizzo" type="ser:indirizzoOrdineType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="testataOrdineType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="ordineBase" type="ser:ordineBaseType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="ordineEsteso" type="ser:ordineExtendedType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="ordinante" type="ser:ordinanteType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="slotPrenotazione" type="ser:slotPrenotazioneOrdineType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="sezioniOrdineType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="testata" type="ser:testataOrdineType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="voucherDaRilasciare" type="ser:voucherDaRilasciareType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="preferenzeSostituzioni" type="ser:preferenzeSostituzioniType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="indirizzi" type="ser:indirizziType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="dettaglio" type="ser:dettaglioOrdineType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="storiaOrdine" type="ser:storiaOrdineType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="pagamenti" type="ser:pagamentiOrdineType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="promozioni" type="ser:promozioniOrdineType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="esitoConsegna" type="ser:esitoConsegnaType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="ordineBaseType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="idOrdineUtente" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="codiceCarta" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="dataOrdine" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="statoOrdine" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="insegna" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="socio" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="valutaOrdine" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="idPuntoVendita" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="idPuntoVenditaLogico" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="centroDiCosto" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="zona" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="tipoServizio" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="tipoConsegna" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="note" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="importoTotale" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="scontoTotale" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="tipoPagamento" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="tipoCarta" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="ordineExtendedType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="costiPagamento" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="costiConsegna" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="dataUltimaModifica" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="puntiCalcolati" type="xsd:int" />
          <xsd:element minOccurs="0" maxOccurs="1" name="puntiUtilizzati" type="xsd:int" />
          <xsd:element minOccurs="0" maxOccurs="1" name="tipoFatturazione" type="xsd:int" />
          <xsd:element minOccurs="0" maxOccurs="1" name="flagFatturaRilasciata" type="xsd:boolean" />
          <xsd:element minOccurs="0" maxOccurs="1" name="flagPrepagato" type="xsd:boolean" />
          <xsd:element minOccurs="0" maxOccurs="1" name="titolarePagamento" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="flagConsegnaDomicilio" type="xsd:boolean" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="esitoConsegnaType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="testataConsignment" type="ser:testataConsignmentType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="dettaglioConsignment" type="ser:dettaglioConsignmentType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="testataConsignmentType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="idConsignment" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="codiceVettore" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="idTracking" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="statoConsignment" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="dataConsegnaEffettiva" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="causale" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="latitudine" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="longitudine" type="xsd:float" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="dettaglioConsignmentType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="articolo" type="ser:articoloConsignmentType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="articoloConsignmentType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="IDRigaOrdine" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="SKU" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="EAN" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="quantitaPrevistaConsegna" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="quantitaConsegnata" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="note" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="checkLoyaltyCardInputType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="nome" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="cognome" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="dataDiNascita" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="codiceFiscale" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="email" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="numeroCarta" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="checkLoyaltyCardInputBody">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="properties" type="ser:propertiesType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="content" type="ser:checkLoyaltyCardInputType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="checkLoyaltyCardOutputType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="codiceRispostaServizioSorgente" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="messaggioRispostaServizioSorgente" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="dataRispostaServizioSorgente" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="statoCarta" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="messaggioCarta" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="contatori" type="ser:contatoriType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="checkLoyaltyCardOutputBody">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="status" type="ser:statusType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="content" type="ser:checkLoyaltyCardOutputType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="articoloOrderToPicking">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="articoloBase" type="ser:articoloBaseType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="articoloEsteso" type="ser:articoloEstesoType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="pluBilancia" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="repartoBilancia" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="flagArticoloInPromozione" type="xsd:boolean" />
          <xsd:element minOccurs="0" maxOccurs="1" name="descrizionePromozione" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="testataOrderToPicking">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="ordine" type="ser:ordineBaseType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="preferenzeSostituzioni" type="ser:preferenzeSostituzioniType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="ordinante" type="ser:ordinanteType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="slotPrenotazione" type="ser:slotPrenotazioneType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="ordinePagamentiConsegne" type="ser:ordinePagamentiConsegneType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="dettaglioOrderToPicking">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="articolo" type="ser:articoloOrderToPicking" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="orderToPickingInputType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="testata" type="ser:testataOrderToPicking" />
          <xsd:element minOccurs="0" maxOccurs="1" name="indirizzi" type="ser:indirizziType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="dettaglio" type="ser:dettaglioOrderToPicking" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="orderToPickingInputBody">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="properties" type="ser:propertiesType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="content" type="ser:orderToPickingInputType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="orderToPickingOutputBody">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="status" type="ser:statusType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="articoloModifyOrder">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="articoloBase" type="ser:articoloBaseType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="articoloSostituzioni" type="ser:articoloSostituzioniType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="articoliModifyOrder">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="articolo" type="ser:articoloModifyOrder" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="headModifyOrder">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="idOrdineUtente" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="statoOrdine" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="flagSoloTestata" type="xsd:boolean" />
          <xsd:element minOccurs="0" maxOccurs="1" name="flagContieneConsignment" type="xsd:boolean" />
          <xsd:element minOccurs="0" maxOccurs="1" name="timestampModifica" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="notePicking" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="dettaglioModifyOrder">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="listaArticoli" type="ser:articoliModifyOrder" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="modifyOrderInputType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="head" type="ser:headModifyOrder" />
          <xsd:element minOccurs="0" maxOccurs="1" name="dettaglio" type="ser:dettaglioModifyOrder" />
          <xsd:element minOccurs="0" maxOccurs="1" name="esitoConsegna" type="ser:esitoConsegnaType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="modifyOrderInputBody">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="properties" type="ser:propertiesType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="content" type="ser:modifyOrderInputType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="modifyOrderOutputType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="importoTotale" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="scontoTotale" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="importoTotaleOriginale" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="scontoTotaleOriginale" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="puntiCalcolati" type="xsd:int" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="modifyOrderOutputBody">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="status" type="ser:statusType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="content" type="ser:modifyOrderOutputType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="getOrdersInputType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="idOrdine" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="idCartaFedelta" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="dataRicerca" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="getOrdersOrdiniType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="ordine" type="ser:sezioniOrdineType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="getOrdersOutputType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="ordini" type="ser:getOrdersOrdiniType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="getOrdersInputBody">
        <xsd:sequence>
          <xsd:sequence>
            <xsd:element minOccurs="0" maxOccurs="1" name="properties" type="ser:propertiesType" />
            <xsd:element minOccurs="0" maxOccurs="1" name="content" type="ser:getOrdersInputType" />
          </xsd:sequence>
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="getOrdersOutputBody">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="status" type="ser:statusType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="content" type="ser:getOrdersOutputType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="cancelOrderInputType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="idOrdine" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="idUtente" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="motivazione" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="cancelOrderInputBody">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="properties" type="ser:propertiesType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="content" type="ser:cancelOrderInputType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="cancelOrderOutputBody">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="status" type="ser:statusType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="headPaymentConfirm">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="idOrdine" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="numeroScontrino" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="numeroCassa" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="idPuntoVendita" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="dataEmissioneScontrino" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="flagGestisciOffline" type="xsd:boolean" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="pagamentoPaymentConfirmType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="idPagamento" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="tipologiaTransazione" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="dataPagamento" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="valuta" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="valorePagato" type="xsd:float" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="pagamentiPaymentConfirmType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="pagamento" type="ser:pagamentoPaymentConfirmType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="paymentConfirmInputType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="testata" type="ser:headPaymentConfirm" />
          <xsd:element minOccurs="0" maxOccurs="1" name="pagamenti" type="ser:pagamentiPaymentConfirmType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="paymentConfirmInputBody">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="properties" type="ser:propertiesType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="content" type="ser:paymentConfirmInputType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="paymentConfirmOutputBody">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="status" type="ser:statusType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="uploadInvoiceInputType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="idOrdine" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="idFattura" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="dataEmissioneFattura" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="documentoBase64" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="uploadInvoiceInputBody">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="properties" type="ser:propertiesType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="content" type="ser:uploadInvoiceInputType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="uploadInvoiceOutputBody">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="status" type="ser:statusType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="ordiniOrderToDelivery">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="idOrdine" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="orderToDeliveryInputType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="idPuntoVendita" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="flagRichiestaAssistenza" type="xsd:boolean" />
          <xsd:element minOccurs="0" maxOccurs="1" name="ordini" type="ser:ordiniOrderToDelivery" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="orderToDeliveryOutputType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="idParcheggio" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="orderToDeliveryInputBody">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="properties" type="ser:propertiesType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="content" type="ser:orderToDeliveryInputType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="orderToDeliveryOutputBody">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="status" type="ser:statusType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="content" type="ser:orderToDeliveryOutputType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="testataReadyToDeliveryType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="idOrdineUtente" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="idOrdinePicking" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="idPuntoVendita" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="tipoConsegna" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="pesoTotale" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="tipoOperazione" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="noteTestata" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="indirizzoReadyToDeliveryType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="nomeCognome" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="email" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="codiceFiscale" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="partitaIva" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="telefono" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="telefonoAlternativo" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="noteConsegna" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="indirizzo" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="numeroCivico" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="CAP" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="provincia" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="comune" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="nazione" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="piano" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="scala" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="interno" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="flagPresenteAscensore" type="xsd:boolean" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="slotConsegnaReadyToDeliveryType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="dataInizioSlot" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="dataFineSlot" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="colliReadyToDeliveryType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="collo" type="ser:colloReadyToDeliveryType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="colloReadyToDeliveryType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="barcodeCesta" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="volume" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="peso" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="formato" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="posizione" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="altezza" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="larghezza" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="profondita" type="xsd:float" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="readyToDeliveryInputType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="testata" type="ser:testataReadyToDeliveryType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="indirizzoSpedizione" type="ser:indirizzoReadyToDeliveryType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="indirizzoFatturazione" type="ser:indirizzoReadyToDeliveryType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="slotConsegna" type="ser:slotConsegnaReadyToDeliveryType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="colli" type="ser:colliReadyToDeliveryType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="readyToDeliveryInputBody">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="properties" type="ser:propertiesType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="content" type="ser:readyToDeliveryInputType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="readyToDeliveryOutputBody">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="status" type="ser:statusType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="testataShipmentStatusType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="idOrdineUtente" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="idOrdinePicking" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="modalitaEsitazione" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="idPuntoVendita" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="tipoOperazione" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="statoConsignment" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="idAutista" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="latitudineConsegna" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="longitudineConsegna" type="xsd:float" />
          <xsd:element minOccurs="0" maxOccurs="1" name="accuratezzaCoordinate" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="dataConsegnaEffettiva" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="esitoColliShipmentStatusType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="unbounded" name="esitoCollo" type="ser:esitoColloShipmentStatusType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="esitoColloShipmentStatusType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="barcodeCesta" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="causale" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="stato" type="xsd:string" />
          <xsd:element minOccurs="0" maxOccurs="1" name="note" type="xsd:string" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="shipmentStatusInputType">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="testata" type="ser:testataShipmentStatusType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="esitoColli" type="ser:esitoColliShipmentStatusType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="shipmentStatusInputBody">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="properties" type="ser:propertiesType" />
          <xsd:element minOccurs="0" maxOccurs="1" name="content" type="ser:shipmentStatusInputType" />
        </xsd:sequence>
      </xsd:complexType>
      <xsd:complexType name="shipmentStatusOutputBody">
        <xsd:sequence>
          <xsd:element minOccurs="0" maxOccurs="1" name="status" type="ser:statusType" />
        </xsd:sequence>
      </xsd:complexType>
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="orderToDeliveryInputBody">
    <wsdl:part name="parameters" element="ser:orderToDeliveryInputBody" />
  </wsdl:message>
  <wsdl:message name="paymentConfirmInputBody">
    <wsdl:part name="parameters" element="ser:paymentConfirmInputBody" />
  </wsdl:message>
  <wsdl:message name="paymentConfirmOutputBody">
    <wsdl:part name="parameters" element="ser:paymentConfirmOutputBody" />
  </wsdl:message>
  <wsdl:message name="modifyOrderOutputBody">
    <wsdl:part name="parameters" element="ser:modifyOrderOutputBody" />
  </wsdl:message>
  <wsdl:message name="uploadInvoiceOutputBody">
    <wsdl:part name="parameters" element="ser:uploadInvoiceOutputBody" />
  </wsdl:message>
  <wsdl:message name="modifyOrderInputBody">
    <wsdl:part name="parameters" element="ser:modifyOrderInputBody" />
  </wsdl:message>
  <wsdl:message name="cancelOrderInputBody">
    <wsdl:part name="parameters" element="ser:cancelOrderInputBody" />
  </wsdl:message>
  <wsdl:message name="getOrdersInputBody">
    <wsdl:part name="parameters" element="ser:getOrdersInputBody" />
  </wsdl:message>
  <wsdl:message name="checkLoyaltyCardInputBody">
    <wsdl:part name="parameters" element="ser:checkLoyaltyCardInputBody" />
  </wsdl:message>
  <wsdl:message name="orderToPickingOutputBody">
    <wsdl:part name="parameters" element="ser:orderToPickingOutputBody" />
  </wsdl:message>
  <wsdl:message name="orderToDeliveryOutputBody">
    <wsdl:part name="parameters" element="ser:orderToDeliveryOutputBody" />
  </wsdl:message>
  <wsdl:message name="checkLoyaltyCardOutputBody">
    <wsdl:part name="parameters" element="ser:checkLoyaltyCardOutputBody" />
  </wsdl:message>
  <wsdl:message name="shipmentStatusOutputBody">
    <wsdl:part name="parameters" element="ser:shipmentStatusOutputBody" />
  </wsdl:message>
  <wsdl:message name="readyToDeliveryInputBody">
    <wsdl:part name="parameters" element="ser:readyToDeliveryInputBody" />
  </wsdl:message>
  <wsdl:message name="faultMessage">
    <wsdl:part name="faultMessage" element="ser:faultMessage" />
  </wsdl:message>
  <wsdl:message name="cancelOrderOutputBody">
    <wsdl:part name="parameters" element="ser:cancelOrderOutputBody" />
  </wsdl:message>
  <wsdl:message name="uploadInvoiceInputBody">
    <wsdl:part name="parameters" element="ser:uploadInvoiceInputBody" />
  </wsdl:message>
  <wsdl:message name="readyToDeliveryOutputBody">
    <wsdl:part name="parameters" element="ser:readyToDeliveryOutputBody" />
  </wsdl:message>
  <wsdl:message name="getOrdersOutputBody">
    <wsdl:part name="parameters" element="ser:getOrdersOutputBody" />
  </wsdl:message>
  <wsdl:message name="orderToPickingInputBody">
    <wsdl:part name="parameters" element="ser:orderToPickingInputBody" />
  </wsdl:message>
  <wsdl:message name="shipmentStatusInputBody">
    <wsdl:part name="parameters" element="ser:shipmentStatusInputBody" />
  </wsdl:message>
  <wsdl:portType name="getOrdersPortType">
    <wsdl:operation name="getOrdersOperation">
      <wsdl:input message="ser:getOrdersInputBody" />
      <wsdl:output message="ser:getOrdersOutputBody" />
      <wsdl:fault name="faultMessage" message="ser:faultMessage" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="cancelOrderPortType">
    <wsdl:operation name="cancelOrderOperation">
      <wsdl:input message="ser:cancelOrderInputBody" />
      <wsdl:output message="ser:cancelOrderOutputBody" />
      <wsdl:fault name="faultMessage" message="ser:faultMessage" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="uploadInvoicePortType">
    <wsdl:operation name="uploadInvoiceOperation">
      <wsdl:input message="ser:uploadInvoiceInputBody" />
      <wsdl:output message="ser:uploadInvoiceOutputBody" />
      <wsdl:fault name="faultMessage" message="ser:faultMessage" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="checkLoyaltyCardPortType">
    <wsdl:operation name="checkLoyaltyCardOperation">
      <wsdl:input message="ser:checkLoyaltyCardInputBody" />
      <wsdl:output message="ser:checkLoyaltyCardOutputBody" />
      <wsdl:fault name="faultMessage" message="ser:faultMessage" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="orderToDeliveryPortType">
    <wsdl:operation name="orderToDeliveryOperation">
      <wsdl:input message="ser:orderToDeliveryInputBody" />
      <wsdl:output message="ser:orderToDeliveryOutputBody" />
      <wsdl:fault name="faultMessage" message="ser:faultMessage" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="paymentConfirmPortType">
    <wsdl:operation name="paymentConfirmOperation">
      <wsdl:input message="ser:paymentConfirmInputBody" />
      <wsdl:output message="ser:paymentConfirmOutputBody" />
      <wsdl:fault name="faultMessage" message="ser:faultMessage" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="shipmentStatusPortType">
    <wsdl:operation name="shipmentStatusOperation">
      <wsdl:input message="ser:shipmentStatusInputBody" />
      <wsdl:output message="ser:shipmentStatusOutputBody" />
      <wsdl:fault name="faultMessage" message="ser:faultMessage" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="readyToDeliveryPortType">
    <wsdl:operation name="readyToDeliveryOperation">
      <wsdl:input message="ser:readyToDeliveryInputBody" />
      <wsdl:output message="ser:readyToDeliveryOutputBody" />
      <wsdl:fault name="faultMessage" message="ser:faultMessage" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="modifyOrderPortType">
    <wsdl:operation name="modifyOrderOperation">
      <wsdl:input message="ser:modifyOrderInputBody" />
      <wsdl:output message="ser:modifyOrderOutputBody" />
      <wsdl:fault name="faultMessage" message="ser:faultMessage" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:portType name="orderToPickingPortType">
    <wsdl:operation name="orderToPickingOperation">
      <wsdl:input message="ser:orderToPickingInputBody" />
      <wsdl:output message="ser:orderToPickingOutputBody" />
      <wsdl:fault name="faultMessage" message="ser:faultMessage" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="paymentConfirmBinding" type="ser:paymentConfirmPortType">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="paymentConfirmOperation">
      <soap:operation soapAction="http://www.esb.selex.com/service/paymentConfirmOperation" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="faultMessage">
        <soap:fault use="literal" name="faultMessage" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="shipmentStatusBinding" type="ser:shipmentStatusPortType">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="shipmentStatusOperation">
      <soap:operation soapAction="http://www.esb.selex.com/service/shipmentStatusOperation" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="faultMessage">
        <soap:fault use="literal" name="faultMessage" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="readyToDeliveryBinding" type="ser:readyToDeliveryPortType">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="readyToDeliveryOperation">
      <soap:operation soapAction="http://www.esb.selex.com/service/readyToDeliveryOperation" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="faultMessage">
        <soap:fault use="literal" name="faultMessage" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="uploadInvoiceBinding" type="ser:uploadInvoicePortType">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="uploadInvoiceOperation">
      <soap:operation soapAction="http://www.esb.selex.com/service/uploadInvoiceOperation" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="faultMessage">
        <soap:fault use="literal" name="faultMessage" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="orderToDeliveryBinding" type="ser:orderToDeliveryPortType">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="orderToDeliveryOperation">
      <soap:operation soapAction="http://www.esb.selex.com/service/orderToDeliveryOperation" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="faultMessage">
        <soap:fault use="literal" name="faultMessage" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="modifyOrderBinding" type="ser:modifyOrderPortType">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="modifyOrderOperation">
      <soap:operation soapAction="http://www.esb.selex.com/service/modifyOrderOperation" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="faultMessage">
        <soap:fault use="literal" name="faultMessage" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="orderToPickingBinding" type="ser:orderToPickingPortType">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="orderToPickingOperation">
      <soap:operation soapAction="http://www.esb.selex.com/service/orderToPickingOperation" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="faultMessage">
        <soap:fault use="literal" name="faultMessage" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="cancelOrderBinding" type="ser:cancelOrderPortType">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="cancelOrderOperation">
      <soap:operation soapAction="http://www.esb.selex.com/service/cancelOrderOperation" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="faultMessage">
        <soap:fault use="literal" name="faultMessage" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="checkLoyaltyCardBinding" type="ser:checkLoyaltyCardPortType">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="checkLoyaltyCardOperation">
      <soap:operation soapAction="http://www.esb.selex.com/service/checkLoyaltyCardOperation" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="faultMessage">
        <soap:fault use="literal" name="faultMessage" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="getOrdersBinding" type="ser:getOrdersPortType">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="getOrdersOperation">
      <soap:operation soapAction="http://www.esb.selex.com/service/getOrdersOperation" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
      <wsdl:fault name="faultMessage">
        <soap:fault use="literal" name="faultMessage" namespace="" />
      </wsdl:fault>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="modifyOrder">
    <wsdl:port name="modifyOrderPort" binding="ser:modifyOrderBinding">
      <soap:address location="http://endpoint_host:8040/services/modifyOrder" />
    </wsdl:port>
  </wsdl:service>
  <wsdl:service name="cancelOrder">
    <wsdl:port name="cancelOrderPort" binding="ser:cancelOrderBinding">
      <soap:address location="http://endpoint_host:8040/services/cancelOrder" />
    </wsdl:port>
  </wsdl:service>
  <wsdl:service name="checkLoyaltyCard">
    <wsdl:port name="checkLoyaltyCardPort" binding="ser:checkLoyaltyCardBinding">
      <soap:address location="http://endpoint_host:8040/services/checkLoyaltyCard" />
    </wsdl:port>
  </wsdl:service>
  <wsdl:service name="paymentConfirm">
    <wsdl:port name="paymentConfirmPort" binding="ser:paymentConfirmBinding">
      <soap:address location="http://endpoint_host:8040/services/paymentConfirm" />
    </wsdl:port>
  </wsdl:service>
  <wsdl:service name="readyToDelivery">
    <wsdl:port name="readyToDeliveryPort" binding="ser:readyToDeliveryBinding">
      <soap:address location="http://endpoint_host:8040/services/readyToDelivery" />
    </wsdl:port>
  </wsdl:service>
  <wsdl:service name="shipmentStatus">
    <wsdl:port name="shipmentStatusPort" binding="ser:shipmentStatusBinding">
      <soap:address location="http://endpoint_host:8040/services/shipmentStatus" />
    </wsdl:port>
  </wsdl:service>
  <wsdl:service name="uploadInvoice">
    <wsdl:port name="uploadInvoicePort" binding="ser:uploadInvoiceBinding">
      <soap:address location="http://endpoint_host:8040/services/uploadInvoice" />
    </wsdl:port>
  </wsdl:service>
  <wsdl:service name="getOrders">
    <wsdl:port name="getOrdersPort" binding="ser:getOrdersBinding">
      <soap:address location="http://esbdev01sel:8040/services/getOrders" />
    </wsdl:port>
  </wsdl:service>
  <wsdl:service name="orderToPicking">
    <wsdl:port name="orderToPickingPort" binding="ser:orderToPickingBinding">
      <soap:address location="http://endpoint_host:8040/services/orderToPicking" />
    </wsdl:port>
  </wsdl:service>
  <wsdl:service name="orderToDelivery">
    <wsdl:port name="orderToDeliveryPort" binding="ser:orderToDeliveryBinding">
      <soap:address location="http://endpoint_host:8040/services/orderToDelivery" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>